@charset "UTF-8";
/*************** 首页banner **************/
.carousel .w-100 {
  width: 100% !important;
  height: 600px !important;
}

@media (max-width: 991.98px) {
  .carousel {
    height: 300px;
  }
  .carousel .w-100 {
    height: 300px !important;
    object-fit: inherit;
  }
}

@media (max-width: 576px) {
  .carousel {
    height: 300px;
  }
  .carousel .w-100 {
    height: 300px !important;
    object-fit: inherit;
  }
}

/* 首页 */
.main-index {
  /* 新闻中心 */
  /* 公益项目集锦 */
  /* 爱心功德榜 */
  /* 三张图 */
  /* 合作伙伴 */
}

.main-index .section-news .section-title {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
  position: relative;
  font-weight: 700;
  line-height: 150%;
  letter-spacing: 0%;
}

.main-index .section-news .section-title::after {
  content: '';
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -16px;
  width: 50px;
  height: 2px;
  background-color: #009b4c;
}

.main-index .section-news .more {
  background-color: #e5f5ed;
  border-radius: 20px;
  font-size: 14px;
  color: #009b4c;
}

.main-index .section-news .more:hover {
  background: #009b4c;
  color: #fff;
}

.main-index .section-news .news-card {
  border-radius: 8px 8px 0 0;
  overflow: hidden;
  margin-bottom: 20px;
  position: relative;
  background-color: #f8f8f8;
  height: 100%;
}

.main-index .section-news .news-card a {
  color: #333;
  text-decoration: none;
}

.main-index .section-news .news-card a .image-container {
  width: 100%;
  position: relative;
  padding-top: 66.7%;
  overflow: hidden;
}

.main-index .section-news .news-card a .image-container img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.main-index .section-news .news-card a .image-container:hover img {
  transform: scale(1.05);
}

@media (max-width: 768px) {
  .main-index .section-news .news-card a .image-container {
    padding-top: 66.7%;
  }
}

.main-index .section-news .news-card a .badge {
  position: absolute;
  top: 0.1px;
  left: 0.1px;
  background-color: rgba(0, 155, 76, 0.85);
  color: #fff;
  padding: 10px 14px;
  font-size: medium;
  border-radius: 5px 0 5px 0;
  /* 左上角和右下角弧度 */
  z-index: 10;
}

.main-index .section-news .news-card a .card-body {
  padding: 0px 20px 12px 20px;
}

.main-index .section-news .news-card a .card-body .card-title {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* 限制行数为2 */
  overflow: hidden;
  font-weight: 700;
  font-size: 1.25rem;
  line-height: 150%;
  font-size: 1.2rem;
}

.main-index .section-news .news-card a .card-body .card-title:hover {
  color: #009b4c;
}

.main-index .section-news .news-card a .card-body .card-title-height {
  height: 3.75rem;
}

@media (max-width: 768px) {
  .main-index .section-news .news-card a .card-body .card-title-height {
    height: auto;
  }
}

.main-index .section-news .news-card a .card-body .card-text {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* 限制行数为2 */
  overflow: hidden;
  line-height: 150%;
  color: #666;
  font-size: 14px;
  margin-top: 15px;
}

.main-index .section-news .news-card a .card-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0px 20px 10px 20px;
  background-color: #f8f9fa;
  color: #666;
  font-size: 14px;
}

.main-index .section-news .news-card a .card-footer .btn-link {
  background-color: #e5f5ed;
  border-radius: 20px;
  font-size: 14px;
  color: #009b4c;
  text-decoration: none;
}

.main-index .section-news .news-card a .card-footer .btn-link:hover {
  color: #fff;
  background: #009b4c;
  cursor: pointer;
}

.main-index .section-news .news-card .card-body {
  padding: 0px 20px 12px 20px;
}

.main-index .section-news .news-card .card-body .badge {
  position: absolute;
  top: 0.1px;
  left: 0.1px;
  background-color: rgba(0, 155, 76, 0.85);
  color: #fff;
  padding: 10px 14px;
  font-size: medium;
  border-radius: 5px 0 5px 0;
  /* 左上角和右下角弧度 */
  z-index: 10;
}

.main-index .section-news .news-card .card-body .list-unstyled {
  padding-top: 10px;
  height: auto;
  margin-bottom: 0 !important;
}

.main-index .section-news .news-card .card-body .list-unstyled .card-title {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* 限制行数为2 */
  overflow: hidden;
  font-weight: 700;
  font-size: 1.25rem;
  line-height: 150%;
  font-size: 1.2rem;
}

.main-index .section-news .news-card .card-body .list-unstyled .card-title .card-title {
  margin-bottom: 0 !important;
}

.main-index .section-news .news-card .card-body .list-unstyled .card-title .card-title:hover {
  color: #009b4c;
  font-weight: bold;
}

.main-index .section-news .news-card .card-body .list-unstyled .card-title .card-title:hover a {
  color: #009b4c;
  font-weight: bold;
}

.main-index .section-news .news-card .card-body .list-unstyled small {
  color: #666;
  font-weight: 400;
  font-size: 14px;
}

.main-index .section-welfare {
  background-color: #F8F8F8;
  background-repeat: repeat-x;
  padding: 2rem 0;
}

.main-index .section-welfare .section-title {
  position: relative;
  display: inline-block;
  margin-bottom: 20px;
  font-weight: 700;
  line-height: 150%;
  letter-spacing: 0%;
}

.main-index .section-welfare .section-title::after {
  content: '';
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -16px;
  width: 50px;
  height: 2px;
  background-color: #009b4c;
}

.main-index .section-welfare .more {
  background-color: #e5f5ed;
  border-radius: 20px;
  font-size: 14px;
  color: #009b4c;
}

.main-index .section-welfare .more:hover {
  background: #009b4c;
  color: #fff;
}

.main-index .section-welfare .add-icon {
  font-size: 24px;
  color: #000;
  cursor: pointer;
}

.main-index .section-welfare .welfare-item {
  display: block;
  text-decoration: none;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.main-index .section-welfare .welfare-item:hover {
  cursor: pointer;
}

.main-index .section-welfare .welfare-item:hover .project-title {
  color: #009b4c;
}

.main-index .section-welfare .welfare-item .project-title {
  font-weight: bold;
  background: #fff;
  padding: 1rem;
  font-size: 1.25rem;
  color: #000;
}

.main-index .section-welfare .welfare-item .image-container {
  width: 100%;
  position: relative;
  padding-top: 66.7%;
  overflow: hidden;
}

.main-index .section-welfare .welfare-item .image-container img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.main-index .section-welfare .welfare-item .image-container:hover img {
  transform: scale(1.05);
}

@media (max-width: 768px) {
  .main-index .section-welfare .welfare-item .image-container {
    padding-top: 66.7%;
  }
}

.main-index .section-charity .section-title {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
  position: relative;
  font-weight: 700;
  line-height: 150%;
  letter-spacing: 0%;
}

.main-index .section-charity .section-title::after {
  content: '';
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -16px;
  width: 50px;
  height: 2px;
  background-color: #009b4c;
}

.main-index .section-charity .more {
  background-color: #e5f5ed;
  border-radius: 20px;
  font-size: 14px;
  color: #009b4c;
}

.main-index .section-charity .more:hover {
  background: #009b4c;
  color: #fff;
}

.main-index .section-charity .title {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 36px;
  position: relative;
  font-weight: 700;
  line-height: 150%;
  letter-spacing: 0%;
}

.main-index .section-charity .title::after {
  content: '';
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -16px;
  width: 50px;
  height: 2px;
  background-color: #009b4c;
}

.main-index .section-charity .header-row {
  color: #009b4c;
  border-radius: 2rem;
  /* 圆角 */
  background-color: #e5f5ed;
  /* 背景颜色 */
  padding: 0.8rem 0;
  /* 内边距 */
  margin-bottom: 5px;
}

.main-index .section-charity .header-row > div:first-child {
  padding-left: 20px;
  width: 30%;
}

.main-index .section-charity .header-row > div:nth-child(2) {
  width: 42%;
}

.main-index .section-charity .header-row > div:nth-child(3) {
  padding-right: 20px;
  width: 28%;
  text-align: right;
}

.main-index .section-charity .table-row {
  cursor: pointer;
  padding: 1rem 0;
  border-bottom: 1px dotted #ccc;
}

.main-index .section-charity .table-row > div:first-child {
  padding-left: 20px;
  font-size: 1.25rem;
  font-weight: 700;
  width: 30%;
  overflow: hidden;
  /* 确保文本超出容器时会被截断 */
  white-space: nowrap;
  /* 保证文本在一行内显示 */
  text-overflow: ellipsis;
  /* 使用省略号表示文本被截断 */
}

.main-index .section-charity .table-row > div:nth-child(2) {
  width: 42%;
  overflow: hidden;
  /* 确保文本超出容器时会被截断 */
  white-space: nowrap;
  /* 保证文本在一行内显示 */
  text-overflow: ellipsis;
  /* 使用省略号表示文本被截断 */
}

.main-index .section-charity .table-row > div:nth-child(3) {
  padding-right: 20px;
  width: 28%;
  text-align: right;
}

@media (max-width: 1024px) {
  .main-index .section-charity .table-row > div:first-child {
    font-size: 1.1rem;
  }
}

.main-index .section-charity .table-row:hover {
  background: #e5f5ed;
  /* 鼠标滑过时的颜色 */
  cursor: default;
}

.main-index .section-charity .donate-button {
  height: 40px;
  width: 120px;
  display: block;
  margin: 20px auto;
  border-radius: 20px;
  font-size: medium;
  background: #e5f5ed;
  color: #009b4c;
}

.main-index .section-charity .donate-button:hover {
  background: #009b4c;
  color: #fff;
}

.main-index .section-three-pic {
  margin-top: 10px;
}

.main-index .section-three-pic .image-card {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
}

.main-index .section-three-pic .image-card img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 10px;
  transition: transform 0.3s ease;
}

.main-index .section-three-pic .image-card::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 10px;
  pointer-events: none;
}

.main-index .section-three-pic .image-card:hover img {
  transform: scale(1.05);
}

.main-index .section-three-pic .image-card:hover::after {
  background-color: transparent;
}

.main-index .section-three-pic .overlay-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 2rem;
  font-weight: bold;
  text-align: center;
  z-index: 100;
}

.main-index .section-three-pic .overlay-text::after {
  content: '';
  display: block;
  width: 50px;
  height: 2px;
  background: #009b4c;
  /* 红色下划线 */
  margin: 10px auto 0;
}

.main-index .section-together {
  background-image: url("/AppTheme/images/index/Frame.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.main-index .section-together .partner-title {
  text-align: center;
  color: #333;
  padding-top: 40px;
  margin-bottom: 40px;
  position: relative;
  font-weight: 700;
  line-height: 150%;
  letter-spacing: 0%;
}

.main-index .section-together .partner-title::after {
  content: '';
  display: block;
  width: 50px;
  height: 2px;
  background: #009b4c;
  margin: 10px auto 0;
}

.main-index .section-together .row > div {
  width: 20%;
}

.main-index .section-together .row > div .partner-logo {
  background-color: white;
  padding: 10px;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.main-index .section-together .row > div .partner-logo:hover {
  transform-style: preserve-3d;
  transform: rotateY(180deg);
  transition: all 1s;
}

.main-index .section-together .row > div .partner-logo img {
  max-width: 100%;
  height: auto;
}
